# Uses of Interface
org.eclipse.birt.report.engine.api.IDataExtractionTask

Packages that use IDataExtractionTask
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IDataExtractionTask in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IDataExtractionTask
Modifier and Type
Method
Description
`IDataExtractionTask`
IReportEngine.`createDataExtractionTask(IReportDocument reportDocument)`
Creates a task that allows data extraction from a report document.
`IDataExtractionTask`
ReportEngine.`createDataExtractionTask(IReportDocument reportDocument)`
creates a task that allows data extraction from a report document